> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard by token

> Return a specific Dashboard.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /dashboards/{dashboard_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /dashboards/{dashboard_token}:
    get:
      tags:
        - Dashboards
        - Costs
      summary: Get dashboard by token
      description: Return a specific Dashboard.
      operationId: getDashboard
      parameters:
        - name: dashboard_token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dashboard'
              example:
                links:
                  self: https://api.vantage.sh/v2/dashboards
                  first: https://api.vantage.sh/v2/dashboards?page=1
                  next: null
                  last: https://api.vantage.sh/v2/dashboards?page=1
                  prev: null
                dashboards:
                  - token: dshbrd_e7c5b49d826b6f71
                    title: Executive Overview
                    widget_tokens:
                      - rprt_27e80d7a8d3f34e6
                    widgets:
                      - widgetable_token: rprt_27e80d7a8d3f34e6
                        title: Weekly Sales Report
                        settings:
                          display_type: chart
                    saved_filter_tokens:
                      - svd_fltr_7bb508e881e7fe5f
                    date_bin: null
                    date_interval: null
                    start_date: null
                    end_date: null
                    created_at: '2024-12-17T00:44:48Z'
                    updated_at: '2024-12-17T00:44:48Z'
                    workspace_token: wrkspc_245288e3c3a7377f
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - read
components:
  schemas:
    Dashboard:
      required:
        - created_at
        - date_bin
        - date_interval
        - saved_filter_tokens
        - title
        - token
        - updated_at
        - widgets
        - workspace_token
      type: object
      properties:
        token:
          type: string
          nullable: false
          example: dshbrd_abcd1234567890
        title:
          type: string
          description: The title of the Dashboard.
          nullable: false
          example: AWS Dashboard
        widgets:
          type: array
          items:
            $ref: '#/components/schemas/DashboardWidget'
        saved_filter_tokens:
          type: array
          description: The tokens of the Saved Filters used in the Dashboard.
          nullable: false
          items:
            type: string
        date_bin:
          type: string
          description: Determines how to group costs in the Dashboard.
          nullable: true
          enum:
            - cumulative
            - day
            - week
            - month
        date_interval:
          type: string
          description: >-
            Determines the date range for Reports in the Dashboard. Guaranteed
            to be set to 'custom' if 'start_date' and 'end_date' are set.
          nullable: true
          enum:
            - this_month
            - last_7_days
            - last_30_days
            - last_month
            - last_3_months
            - last_6_months
            - custom
            - last_12_months
            - last_24_months
            - last_36_months
            - next_month
            - next_3_months
            - next_6_months
            - next_12_months
            - year_to_date
            - last_3_days
            - last_14_days
        start_date:
          type: string
          description: >-
            The start date for the date range for Reports in the Dashboard. ISO
            8601 Formatted. Overwrites 'date_interval' if set.
          nullable: true
          example: '2023-08-04'
        end_date:
          type: string
          description: >-
            The end date for the date range for Reports in the Dashboard. ISO
            8601 Formatted. Overwrites 'date_interval' if set.
          nullable: true
          example: '2023-09-04'
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the Dashboard was created. ISO 8601
            Formatted.
          nullable: false
          example: '2023-08-04T00:00:00Z'
        updated_at:
          type: string
          description: >-
            The date and time, in UTC, the Dashboard was created. ISO 8601
            Formatted.
          nullable: false
          example: '2023-08-04T00:00:00Z'
        workspace_token:
          type: string
          description: The token for the Workspace the Dashboard is a part of.
          nullable: false
          example: wrkspc_abcd1234567890
      description: Dashboard model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    DashboardWidget:
      required:
        - settings
        - title
        - widgetable_token
      type: object
      properties:
        widgetable_token:
          type: string
          nullable: false
          example: rprt_a12b3c
        title:
          type: string
          description: The title of the Widget.
          nullable: false
          example: My Widget
        settings:
          $ref: '#/components/schemas/DashboardWidgetSettings'
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    DashboardWidgetSettings:
      required:
        - display_type
      type: object
      properties:
        display_type:
          type: string
          nullable: false
          enum:
            - table
            - chart
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````